<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Bootsrap Flex Activity</title>

	<!-- Bootsrap -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

	<!-- <link rel="stylesheet" href="index.css"> -->

</head>
<body>

	<div class="text-center">

		
		<h2>Creating Space Between Elements</h2>
		<div class="bg-dark d-md-flex justify-content-around p-3">
			<div class="p-3 bg-success">Card A</div>
			<div class="p-3 bg-warning">Card B</div>
			<div class="p-3 bg-danger">Card C</div>
		</div>

		<h2>Flexbox with Margin</h2>
		<div class="bg-dark p-3 d-flex">
			<div class="mr-auto p-3 bg-success">Flex Item A</div>
			<div class="p-3 bg-warning">Flex Item B</div>
			<div class="p-3 bg-danger">Flex Item C</div>
			<div class="p-3 bg-primary">Flex Item D</div>
		</div>

		<h2>Nested Flex Elements</h2>
		<div class="bg-dark p-3 d-md-flex">
			<div class="mr-auto p-3 bg-success">Flex Item A</div>
			<div class="w-50 d-md-flex justify-content-between">
				<div class="p-3 bg-warning">Flex Item B</div>
				<div class="p-3 bg-danger">Flex Item C</div>
				<div class="p-3 bg-primary">Flex Item D</div>
			</div>
		</div>
		</div>
	</div>

	<!-- Bootstrap Script -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
	<!-- Bootstrap Script End-->

</body>
</html>